Skip to main content
GET
/
api
/
v1
/
pipelines
/
{pipeline_id}
/
executions
List Pipeline Executions
import requests

url = "https://www.datalab.to/api/v1/pipelines/{pipeline_id}/executions"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "executions": [
    {
      "execution_id": "<string>",
      "pipeline_id": "<string>",
      "pipeline_version": 123,
      "status": "<string>",
      "steps": [
        {
          "step_index": 123,
          "step_type": "<string>",
          "status": "<string>",
          "lookup_key": "<string>",
          "result_url": "<string>",
          "started_at": "2023-11-07T05:31:56Z",
          "finished_at": "2023-11-07T05:31:56Z",
          "error_message": "<string>",
          "source_step_type": "<string>",
          "checkpoint_id": "<string>"
        }
      ],
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z",
      "config_snapshot": {},
      "input_config": {},
      "rate_breakdown": {}
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

Path Parameters

pipeline_id
string
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Cookies

wos-session
string
datalab_active_team
string

Response

Successful Response

executions
PipelineExecutionResponse · object[]
required
total
integer
required